<script setup lang="ts">
import BuyStockCard from '@/components/BuystockComponent/BuyStockCard.vue'
import { type BuyStock } from '@/types/BuyStock'
import { ref } from 'vue'

function selected(p: BuyStock) {
  emit('selected', p)
}

defineProps<{
  buyStocks: BuyStock[]
}>()

const emit = defineEmits<{
  selected: [buyStock: BuyStock]
}>()
</script>

<template>
  <v-container fluid>
    <v-row>
      <v-col cols="3" v-for="buyStock of buyStocks" :key="buyStock.id">
        <BuyStockCard :buyStock="buyStock" @selected="selected"></BuyStockCard>
      </v-col>
    </v-row>
  </v-container>
</template>
